Subject: cacheability of Authentication and no-cache

From: Amos Jeffries <[email-masked]>
Date: Sun, 14 Oct 2012 16:36:11 +1300

While reviewing the clauses for cacheability I find an undefined case 
which can reasonably be expected to appear in real-world traffic.

Comparing p6 section 7.2.2.3 and 7.2.2.5 it is clear that response 
Cache-Control "no-cache" with no values is semantically equivalent to 
"must-revalidate, max-age=0".

p7 section 4.1 clause 2 states that responses with "must-revalidate" MAY 
be cached for use on later requests provided revalidation is done.

Assuming that p7 clause is true, I see no reason why "no-cache" response 
control cannot be also added to p7 section 4.1 list of exceptions along 
with must-revalidate.

Amos